petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPGuessGetType

Gets the KSPGuess type as a string from the KSPGuess object.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGuessGetType(KSPGuess guess,KSPGuessType *type)

Not Collective

### Input Parameter

guess -the initial guess context

### Output Parameter

name -name of KSPGuess method

### See Also

KSPGuessSetType()

### Level

intermediate

### Location

src/ksp/ksp/interface/iguess.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages